/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/*
  File: AnimLocationListener.java
*/

// Current package
package edu.uofminnesota.DEMAIS.meal;

// Import needed packages
import java.lang.*;
import java.util.*;



public class AnimLocationListener {
    
    private AnimationModel animModel;
    private AnimationModelListenerInterface listener;
    private int x;
    private int y;


    // Constructors
    public AnimLocationListener() {
	this(null, null, 0, 0);
    }

 
    public AnimLocationListener(AnimationModel ao, AnimationModelListenerInterface object, int x1, int y1) {
	animModel = ao;
	listener = object;
	x = x1;
	y = y1;
    }


    // Public methods
    public void notifyListener() {
	listener.AnimationModelLocationReached(animModel);
    }


    public boolean equals(Object obj) {
	if (obj instanceof AnimLocationListener) {
	    return (equals( (AnimLocationListener) obj));
	}
	return false;
    }


    public boolean equals(AnimLocationListener all) {
	return ( (this.x == all.x) &&
		 (this.y == all.y));
    }


    public int getX() {
	return x;
    }

    public int getY() {
	return y;
    }

    public AnimationModelListenerInterface getListener() {
	return listener;
    }

}


