/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/*
  File: ContentLayer.java
*/

// Current package
package edu.uofminnesota.DEMAIS.meal.layer;

// Import needed packages
import java.lang.*;
import java.io.*;
import edu.uofminnesota.DEMAIS.property.*;



public class ContentLayer extends LayerModel {

    protected static final int CLASSID = 1000;


    private ContentLayer() {
	this("Layer", 0, true, false);
    }

    public ContentLayer(String name, int layer, boolean visible, boolean selected) {
	super(name, layer, visible, selected);
    }

    public ContentLayer(ContentLayer copy) {
	super(copy);
    }

    public ContentLayer(DataInputStream stream) throws IOException {
	super(stream);
    }


    public Object clone() {
	return (new ContentLayer(this));
    }


    public void write(DataOutputStream stream) throws IOException {
	// Write class ID
	stream.writeInt(CLASSID);

	// Write the parent information
	super.write(stream);
    }
}
