/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/*
  File: SchedulerActionItem.java
*/

// Current package
package edu.uofminnesota.DEMAIS.runtime;

// Import needed packages
import java.lang.*;



public class SchedulerActionItem {

    /*
      Number of milliseconds since Januray 1, 1970. Represents the global time at which this annotation's logic value will switch values (from false to true, or from true to false)
    */
    private long scheduledTime;    
    
    // The action to invoke at globalTime
    private SchedulerAction action;



    private SchedulerActionItem() {
	this(0, null);
    }

    public SchedulerActionItem(int st, SchedulerAction sa) {
	this( (long) st, sa);
    }

    public SchedulerActionItem(long st, SchedulerAction sa) {
	scheduledTime = st;
	action = sa;
    }


    public long getTime() {
	return scheduledTime;
    }

    public void setTime(long t) {
	scheduledTime = t;
    }

    public SchedulerAction getAction() {
	return action;
    }

    public void setAction(SchedulerAction sa) {
	action = sa;
    }

    public boolean equals(Object obj) {
	if (obj instanceof SchedulerActionItem) {
	    return (equals( (SchedulerActionItem) obj));
	}
	return (this == obj);
    }

    public boolean equals(SchedulerActionItem item) {
	return (action.equals(item.action));
    }
    
}

