/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/* 
   File ContinuousMediaRectangleInkStroke.java
*/

// Current package
package edu.uofminnesota.DEMAIS.usrinterface.storyboard.graphicalobjs;
    

// Necessary imports
import java.io.*;
import java.awt.*;
import javax.swing.*;
import edu.uofminnesota.DEMAIS.usrinterface.storyboard.*;




public abstract class ContinuousMediaRectangleInkStroke extends RectangleInkStroke { 


    // Do not allow default constructor to be called
    private ContinuousMediaRectangleInkStroke() {
	this(true, null);
    }

    protected ContinuousMediaRectangleInkStroke(boolean subclass, RectangleInkStroke copy) {
	super(subclass, copy);
    }


    public ContinuousMediaRectangleInkStroke(ContinuousMediaRectangleInkStroke copy) {
	this(copy, copy.storyboard);
    }

    public ContinuousMediaRectangleInkStroke(ContinuousMediaRectangleInkStroke copy, Storyboard toStoryboard) {
	this(copy, toStoryboard, true);
    }

    public ContinuousMediaRectangleInkStroke(ContinuousMediaRectangleInkStroke copy, Storyboard toStoryboard, boolean copyModel) {
	super(copy, toStoryboard, copyModel);
    }


    public ContinuousMediaRectangleInkStroke(DataInputStream stream, Storyboard pStoryboard) throws IOException {
	super(stream, pStoryboard);
    }


    public void setControlComponent(boolean visible) {
    }
    public void setVisualComponent(boolean visible) {
    }


    protected boolean containPanel(JPanel panel) {
	Component components[] = storyboard.getComponents();
	for (int i=0; i<components.length; ++i) {
	    if (components[i] == panel) {
		return true;
	    }
	}
	return false;
    }


    protected int panelIndex(JPanel panel) {
	Component components[] = storyboard.getComponents();
	for (int i=0; i<components.length; ++i) {
	    if (components[i] == panel) {
		return i;
	    }
	}
	return -1;
    }



    // Public abstract methods
    public abstract double getDuration();
    public abstract void setMediaTime(double time);
    public abstract double getMediaTime();
    public abstract String getMediaFilePathName();
    public abstract int getState();
    public abstract void setState(int state, double mediaTime);
    public abstract void reset();

}
