/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/*
  StrokeAssembler.java
*/

// Current package
package edu.uofminnesota.DEMAIS.usrinterface.storyboard.stroke;

// Necessary imports
import java.lang.*;
import edu.uofminnesota.DEMAIS.property.*;
import edu.uofminnesota.DEMAIS.usrinterface.storyboard.*;



public class StrokeAssembler {

    // The actual stroke assembler
    AbstractStrokeAssembler assembler;


    private StrokeAssembler() {
	this(null);
    }

    public StrokeAssembler(Storyboard pStoryboard) {
	this(pStoryboard, true);
    }

    public StrokeAssembler(Storyboard pStoryboard, boolean holdAndPressTimer) {
	if (PropertyManager.APPLICATION_INPUT_DEVICE == PropertyManager.STYLUS_INPUT_DEVICE) {
	    assembler = new StylusStrokeAssembler(pStoryboard, holdAndPressTimer);

	} else {
	    assembler = new MouseStrokeAssembler(pStoryboard, holdAndPressTimer);
	}
    }


    public void removeStrokeAssembler() {
	assembler.removeStrokeAssembler();
    }

    public void cancelStroke() {
	assembler.cancelStroke();
    }
}
