/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/* 
   File: TimedStroke.java
*/

// Current package
package edu.uofminnesota.DEMAIS.usrinterface.storyboard.stroke;

// Necessary imports
import java.awt.*;
import java.io.*;
import edu.uofminnesota.DEMAIS.usrinterface.storyboard.graphicalobjs.*;




public class TimedStroke extends Polygon2D {

    // Create an empty Stroke.
    public TimedStroke() {
    }

    public TimedStroke(Polygon2D p) {
	super(p);
    } 

    public TimedStroke(int[] x, int[] y, int numPoints) {
	super(x, y, numPoints);
    }
 
    public TimedStroke(TimedStroke copy) {
	super(copy);
    } 

    public TimedStroke(DataInputStream stream) throws IOException {
	super(stream);
    }



    // Public methods
    public double lengthOfStroke() {
	return getLength();
    }


    public void setColor(Graphics2D g) {
	g.setColor(GraphicalObject.ACTIVE_COLOR);
    }

    public void setStroke(Graphics2D g) {
	g.setStroke(GraphicalObject.DEFAULT_INK_STROKE);
    }


    public boolean isLeftMouseButton() {
	return true;
    }


    // Clone this timed stroke
    public Object clone() {
	return (new TimedStroke(this));
    }

}
