/*
Copyright (c) 2001 Regents of the University of Minnesota.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the University may not be used to endorse or promote products 
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

/* 
   FileExtension.java
*/

// Current package
package edu.uofminnesota.DEMAIS.usrinterface.util;

// Import packages
import java.lang.*;





public class FileExtension {

    public FileExtension() {

    }
    

    public static boolean isImageFile(String fileName) {
	String ext = extractExtension(fileName);
	if (ext != null) {
	    ext = ext.toUpperCase();
	    if (ext.equals("GIF") ||
		ext.equals("JPG") ||
		ext.equals("BMP") ||
		ext.equals("PCT") ||
		ext.equals("PIC") ||
		ext.equals("TIFF") ||
		ext.equals("TIF")) {
		return true;
	    }
	}
	return false;
    }


    public static boolean isVideoFile(String fileName) {
	String ext = extractExtension(fileName);
	if (ext != null) {
	    ext = ext.toUpperCase();
	    if (ext.equals("MOV") ||
		ext.equals("AVI") ||
		ext.equals("MPG")) {
		return true;
	    }
	}
	return false;
    }


    public static boolean isAudioFile(String fileName) {
	String ext = extractExtension(fileName);
	if (ext != null) {
	    ext = ext.toUpperCase();
	    if (ext.equals("AIFF") ||
		ext.equals("AVI") ||
		ext.equals("SWF") ||
		ext.equals("GSM") ||
		ext.equals("MID") ||
		ext.equals("MPG") ||
		ext.equals("MP2") ||
		ext.equals("MP3") ||
		ext.equals("MOV") ||
		ext.equals("AU") ||
		ext.equals("WAV")) {

		return true;
	    }
	}
	return false;
    }


    private static String extractExtension(String fileName) { 
	int index = fileName.lastIndexOf(".");
	if (index > 0) {
	    return fileName.substring(index + 1);
	}
	return null;
    }
} 
